libebook::TealDocParser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::TealDocParser Class Reference

`#include <TealDocParser.h>`

Inheritance diagram for libebook::TealDocParser:

## Public Member Functions
| TealDocParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=nullptr)
| ~TealDocParser () override
Public Member Functions inherited from libebook::PDBParser
virtual | ~PDBParser ()=0
bool | parse ()
| Parse input and produce output to document.

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| TealDocParser (const TealDocParser &)
TealDocParser & | operator= (const TealDocParser &)
void | readAppInfoRecord (librevenge::RVNGInputStream *record) override
void | readSortInfoRecord (librevenge::RVNGInputStream *record) override
void | readIndexRecord (librevenge::RVNGInputStream *record) override
void | readDataRecord (librevenge::RVNGInputStream *record, bool last) override
void | createConverter (const std::vector< char > &text)
void | openDocument ()
void | closeDocument ()

## Private Attributes
bool | m_compressed
unsigned | m_textLength
unsigned | m_recordCount
unsigned | m_recordSize
unsigned | m_read
bool | m_openedDocument
std::unique_ptr< EBOOKCharsetConverter > | m_converter
std::unique_ptr< TealDocTextParser > | m_textParser

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDBParser
| PDBParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format.
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run.
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present.
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record.
unsigned | getDataRecordCount () const
| Return the number of data records in the document.
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record.
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records.
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range.

## Constructor & Destructor Documentation

## ◆ TealDocParser() [1/2]

libebook::TealDocParser::TealDocParser | ( | const TealDocParser & |  | ) |
| private

Referenced by operator=(), and TealDocParser().

## ◆ TealDocParser() [2/2]

libebook::TealDocParser::TealDocParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = nullptr )
| explicit

## ◆ ~TealDocParser()

libebook::TealDocParser::~TealDocParser | ( |  | ) |
| override

## Member Function Documentation

## ◆ checkType()

bool libebook::TealDocParser::checkType | ( | unsigned | type,
|  | unsigned | creator )
| static

## ◆ closeDocument()

void libebook::TealDocParser::closeDocument | ( |  | ) |
| private

Referenced by readDataRecord().

## ◆ createConverter()

void libebook::TealDocParser::createConverter | ( | const std::vector< char > & | text | ) |
| private

Referenced by readDataRecord().

## ◆ openDocument()

void libebook::TealDocParser::openDocument | ( |  | ) |
| private

Referenced by readDataRecord().

## ◆ operator=()

TealDocParser & libebook::TealDocParser::operator= | ( | const TealDocParser & |  | ) |
| private

## ◆ readAppInfoRecord()

void libebook::TealDocParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readDataRecord()

void libebook::TealDocParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last )
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readIndexRecord()

void libebook::TealDocParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readSortInfoRecord()

void libebook::TealDocParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

## Member Data Documentation

## ◆ m_compressed

bool libebook::TealDocParser::m_compressed
| private

Referenced by readDataRecord(), readIndexRecord(), and TealDocParser().

## ◆ m_converter

std::unique_ptr<EBOOKCharsetConverter> libebook::TealDocParser::m_converter
| private

Referenced by createConverter(), openDocument(), and TealDocParser().

## ◆ m_openedDocument

bool libebook::TealDocParser::m_openedDocument
| private

Referenced by closeDocument(), openDocument(), readDataRecord(), and TealDocParser().

## ◆ m_read

unsigned libebook::TealDocParser::m_read
| private

Referenced by readDataRecord(), and TealDocParser().

## ◆ m_recordCount

unsigned libebook::TealDocParser::m_recordCount
| private

Referenced by readIndexRecord(), and TealDocParser().

## ◆ m_recordSize

unsigned libebook::TealDocParser::m_recordSize
| private

Referenced by readDataRecord(), readIndexRecord(), and TealDocParser().

## ◆ m_textLength

unsigned libebook::TealDocParser::m_textLength
| private

Referenced by readDataRecord(), readIndexRecord(), and TealDocParser().

## ◆ m_textParser

std::unique_ptr<TealDocTextParser> libebook::TealDocParser::m_textParser
| private

Referenced by readDataRecord(), and TealDocParser().

The documentation for this class was generated from the following files:

- TealDocParser.h
- TealDocParser.cpp